(function () {
    'use strict';

    var zakekeProductPage = function() {
        var cartAll = document.querySelectorAll('form.cart, #wholesale_form');
        var elements = [
            ['input[name=zakeke_design]', '.zakeke-customize-button'],
            ['input[name=zakeke_configuration]', '.zakeke-configurator-customize-button']
        ];

        cartAll.forEach(function (cart) {
            var cartSubmit = cart.querySelector('button[type=submit]');

            elements.forEach(function (element) {
                var zakekeInput = document.querySelector(element[0]);
                var customizeElement = document.querySelector(element[1]);

                if (!zakekeInput) {
                    return;
                }

                if (customizeElement) {
                    customizeElement.addEventListener('click', function (e) {
                        e.preventDefault();

                        if (!cartSubmit.classList.contains('disabled')) {
                            zakekeInput.value = 'new';

                            cartSubmit.addEventListener('click', function (e) {
                                e.stopPropagation();
                            });
                        }

                        cartSubmit.click();
                    });
                } else if (cartSubmit) {
                    cartSubmit.addEventListener('click', function (e) {
                        if (cartSubmit.classList.contains('disabled')) {
                            return;
                        }

                        cart.onsubmit = function (e) { e.stopPropagation(); };

                        e.stopPropagation();
                    });
                }

                cart.addEventListener('submit', function () {
                    var addVariationToCartInput = cart.querySelector('input[name=add-variations-to-cart]');
                    if (!addVariationToCartInput || zakekeInput.value !== 'new') {
                        return;
                    }

                    addVariationToCartInput.name = 'zakeke_tmp_prefix_add-variations-to-cart';
                });
            });
        });
    };

    if (document.readyState === 'complete'
        || document.readyState === 'loaded'
        || document.readyState === 'interactive') {
        zakekeProductPage();
    } else {
        document.addEventListener('DOMContentLoaded', zakekeProductPage);
    }
})();
