function zakekeProductPage() {
    function handlePreviews() {
        function createPreviewWindowEl() {
            var container = document.createElement('DIV');
            container.classList.add('zakeke-cart-preview-window');
            container.style.display = 'none';

            container.appendChild(document.createElement('IMG'));

            var labelContainer = document.createElement('DIV');
            labelContainer.classList.add('zakeke-cart-preview-window-label');
            labelContainer.appendChild(document.createElement('H3'));

            container.appendChild(labelContainer);

            container.addEventListener('click', function (e) {
                container.style.display = 'none';
                e.stopPropagation();
            });

            document.body.appendChild(container);

            return container;
        }

        function getOrCreatePreviewWindowEl() {
            return document.querySelector('.zakeke-cart-preview-window')
                || createPreviewWindowEl();
        }

        function handlePreview(previewEl) {
            previewEl.addEventListener('click', function () {
                var previewWindowEl = getOrCreatePreviewWindowEl();
                previewWindowEl.querySelector('img').src = previewEl.dataset.url;
                previewWindowEl.querySelector('h3').textContent = previewEl.dataset.label;
                previewWindowEl.style.display = 'flex';
            });
        }

        function handleSliding(previewsEl) {
            new Glide(previewsEl, {
                perView: 2
            }).mount();

            if (previewsEl.querySelectorAll('li').length <= 2) {
                previewsEl.querySelector('div[data-glide-el="controls"]').style.display = 'none';
            }
        }

        Array.from(document.querySelectorAll('.zakeke-cart-previews')).forEach(handleSliding);
        Array.from(document.querySelectorAll('.zakeke-cart-preview')).forEach(handlePreview);
    }

    function handleAjaxAddToCart() {
        Array.from(document.querySelectorAll('.ajax_add_to_cart.product-type-zakeke')).forEach(function (element) {
            element.addEventListener('click', function (e) {
                e.stopPropagation();
            });
        });
    }

    handlePreviews();
    handleAjaxAddToCart();
}

if (document.readyState === 'complete'
    || document.readyState === 'loaded'
    || document.readyState === 'interactive') {
    zakekeProductPage();
} else {
    document.addEventListener('DOMContentLoaded', zakekeProductPage);
}